diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
index fc4645a..4fcaf08 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
@@ -1272,6 +1272,12 @@ It may have been removed by another user or moved to another schema.
         """
         resp_data = self._fetch_properties(gid, sid, did, scid, fnid)
 
+        # Fetch the schema name from OID
+        if 'pronamespace' in resp_data:
+            resp_data['pronamespace'] = self._get_schema(
+                resp_data['pronamespace']
+            )
+
         name = resp_data['pronamespace'] + "." + resp_data['name_with_args']
 
         # Fetch only arguments
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/js/procedures.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/js/procedures.js
index d2a1bea..32ddfd1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/js/procedures.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/js/procedures.js
@@ -20,7 +20,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify, Function) {
 
   // Inherit Functions Node
   if (!pgBrowser.Nodes['procedure']) {
-    pgAdmin.Browser.Nodes['procedure'] = Function.extend({
+    pgAdmin.Browser.Nodes['procedure'] = pgBrowser.Node.extend({
       type: 'procedure',
       sqlAlterHelp: 'sql-alterprocedure.html',
       sqlCreateHelp: 'sql-createprocedure.html',
@@ -61,7 +61,7 @@ function($, _, S, pgAdmin, pgBrowser, alertify, Function) {
         ]);
       },
       canDrop: pgSchemaNode.canChildDrop,
-      canDropCascade: pgSchemaNode.canChildDrop,
+      canDropCascade: false,
       model: Function.model.extend({
         defaults: _.extend({},
           Function.model.prototype.defaults,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.1_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.1_plus/delete.sql
index 18701ec..e140908 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.1_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.1_plus/delete.sql
@@ -17,5 +17,5 @@ WHERE
 {% endif %}
 
 {% if name %}
-DROP PROCEDURE {{ conn|qtIdent(nspname, name) }}{{func_args}}{% if cascade %} CASCADE{% endif %};
+DROP PROCEDURE {{ conn|qtIdent(nspname, name) }};
 {% endif %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.2_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.2_plus/delete.sql
index 18701ec..e140908 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.2_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.2_plus/delete.sql
@@ -17,5 +17,5 @@ WHERE
 {% endif %}
 
 {% if name %}
-DROP PROCEDURE {{ conn|qtIdent(nspname, name) }}{{func_args}}{% if cascade %} CASCADE{% endif %};
+DROP PROCEDURE {{ conn|qtIdent(nspname, name) }};
 {% endif %}
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.5_plus/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.5_plus/delete.sql
index 18701ec..e140908 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.5_plus/delete.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/templates/procedure/ppas/sql/9.5_plus/delete.sql
@@ -17,5 +17,5 @@ WHERE
 {% endif %}
 
 {% if name %}
-DROP PROCEDURE {{ conn|qtIdent(nspname, name) }}{{func_args}}{% if cascade %} CASCADE{% endif %};
+DROP PROCEDURE {{ conn|qtIdent(nspname, name) }};
 {% endif %}
